# Contributors

## Helge Gehring

```{figure} https://avatars.githubusercontent.com/HelgeGehring
---
align: left
figclass: avatar
target: https://github.com/HelgeGehring
---

Helge received the B.Sc. and M.Sc. degrees in physics from the University of Münster in Germany.
He worked during his bachelor's studies as a software engineer at [DEOS](https://www.deos-ag.com/).
For his bachelor's thesis he investigated the quantum dynamics of quantum dots via large-scale simulations on supercomputers.
Subsequently, he switched to applied physics and worked on integrated photonics for his master's thesis, during which he had a research stay at the University of Oxford, UK.
Afterwards, he started his doctoral studies at the University of Münster where he combined photonic circuits with 3D micro-structures to enable low-loss ultra-broadband fiber-to-chip interfacing.
Helge received a scholarship for his B.Sc. and M.Sc. degrees and a fellowship for his doctoral studies from the Studienstiftung des deutschen Volkes.
He took a break from his doctoral studies to spend a year as a resident at [X, the moonshot factory](https://x.company) (formerly known as Google X) and recently returned full-time to X.
```

## Simon Bilodeau

```{figure} https://avatars.githubusercontent.com/simbilod
---
align: left
figclass: avatar
target: https://github.com/simbilod
---
Simon received the B.Sc. and M.Sc. degrees in physics from McGill University, Montreal, QC, Canada, where he conducted nanoelectronics research at ultralow temperatures. He is currently working toward the Ph.D. degree in electrical and computer engineering in the Lightwave Communications Research Lab, Princeton University, Princeton, NJ, USA. His research interests include nanophotonics, optoelectronics, integrated photonic systems, and neuromorphic computing. He is the recipient of Canada's NSERC and Québec's FRQNT Doctoral scholarships. Simon is currently a resident at [X, the moonshot factory](https://x.company) (formerly known as Google X).
```

## Joaquin Matres

```{figure} https://avatars.githubusercontent.com/joamatab
---
align: left
figclass: avatar
target: https://github.com/joamatab
---
Joaquin received his Engineering (2009), M.Sc. (2010) and PhD (2014) degree in Telecommunications from the Universidad Politecnica de Valencia, Spain. For his PhD he built CMOS-compatible all-optical switches and logic gates at IMEC and CEA-LETI foundries. During his 6 month internship in Intel Corporation and 2.5 years in Hewlett Packard Labs, he worked on hybrid tunable lasers, wavelength selective switches and microring based optical transceivers. Then as the first engineer that joined PsiQuantum he worked on design, layout and validation of large scale Quantum computing circuits, where he was involved in most tapeouts during 3 years. For the last 3 years he has been working at [X, the moonshot factory](https://x.company) (formerly known as Google X) developing Free Space Optical Transceivers to bring affordable internet to developing countries.
```

## Marc de Cea Falco

```{figure} https://avatars.githubusercontent.com/mdecea
---
align: left
figclass: avatar
target: https://github.com/mdecea
---
Marc is a graduate student at MIT working in CMOS photonics with a high emphasis in communications applications. The research ranges from low power applications in the data center and high performance computing space to satellite and free space optical communications. He received his B.S. degree in Physics Engineering and Telecommunications Engineering from the Technical University of Catalonia in Barcelona, Spain. He worked as an intern at Ayar Labs designing and implementing automated test setups for optical devices. He is a recipient of the La Caixa fellowship.
Marc is currently a resident at [X, the moonshot factory](https://x.company) (formerly known as Google X).
```

## What about you?

```{figure} https://github.com/identicons/HelgeGehring.png
---
align: left
figclass: avatar
target: .
---
What about you? We're happy about everyone joining our project!
```
